Yoast SEO 19.10 Update – Know This Before Updating

Posted by

The totally free variation of Yoast SEO updated to variation 19.10 and the premium variation to 19.5, introducing various important changes.

This is what you ought to learn about these releases if you’re considering whether to update.

WooCommerce 7.1 Compatibility

Both the free and premium version releases benefit users who run the recently released WooCommerce variation 7.1.

WooCommerce 7.1 is a substantial release and amongst the improvements is a modification to the database called, High Performance Order Storage (HPOS).

High Efficiency Order Storage makes modifications to the database so the activation of this brand-new function is an optional for the time being to permit time for plugin developers to overtake the brand-new feature.

A WooCommerce explainer kept in mind:

“After the first production release, the HPOS function will continue to be opt-in and we will help developers in making their plugins suitable with HPOS, carefully monitor how many extensions are compatible and how many shops are actively evaluating the feature.”

Yoast 19.10/ 19.5 Premium both feature compatibility with the new WooCommerce HPOS feature. That implies if activation of HPOS leads to a site crash it’s safe to dismiss Yoast SEO as a perpetrator.

Users of the WooCommerce SEO add-on for Yoast will likewise benefit from an upgrade to structured data that makes it eligible for new enhancements in search in Google.

Yoast 19.10 Repairs a Deadly Mistake Bug

The updated Yoast SEO plugin offers a spot for a bug that can result in site crashes.

The Yoast SEO changelog blames the issue on other (unnamed) plugins:

“Repairs a bug where a fatal error would be included the classic editor in combination with certain plugins that abuse metabox hooks.”

An example of a metabox is a custom field that enables users to add extra content that isn’t in the primary material.

Fixes 2 Elementor-related Bugs

The first Elementor-related bugfix repairs a problem that impacted the ability to conserve Yoast SEO meta data (under specific circumstances), which is a big offer.

The changelog states:

“Fixes a bug where Yoast SEO-related post meta data would not be conserved if a user without the manage_options ability would save a post in Elementor.”

Yoast’s second bugfix is related to the previous one because it develops from the exact same “manage_options ability” issue.

The changelog discusses:

“Repairs a bug where users with site-wide basic gain access to authentication would be prompted to place their qualifications when saving a post in Elementor if they didn’t have the manage_options ability.”

WordPress 6.1 Compatibility and Miscellaneous

Variation 19.10 deprecated over a dozen hooks that are used for including customized material to Yoast SEO settings pages.

Finally, Yoast SEO provides complete compatibility with the simply launched WordPress 6.1 code-named Misha.

Should You Update to the most recent Version of Yoast SEO?

Some people naturally prefer to wait before updating a plugin in case there’s a major error which’s not a bad method.

Yoast SEO is used by over five million website publishers. The upgraded plugin was launched the other day and there are no reports in the Yoast SEO support forum that suggests that there are any prevalent issues with this upgrade.

In reality, there are presently only random issues that sometimes have more to do with other plugins and themes.

There are no problems that show a pattern of problems related to this update.

Thinking about upgrading to the most recent variation of Yoast SEO is a good concept, particularly to those who use WooCommerce or Elementor but not limited to those users.

Yoast SEO 19.10/ 19.5 Premium are both compatible with the latest variation of WordPress so that in itself makes upgrading a preferable choice in addition to being an excellent practice to using the latest variation of all plugins and styles because this assists avoid incompatibility problems.

Featured image by Best SMM Panel/Luis Molinero